Page MenuHomePhabricator

Internal error when assigning user rights on Commons Beta
Closed, ResolvedPublic

Description

I have encountered the following error while assigning user rights on Commons beta.

Steps to reproduce:

[7001c05d] /wiki/Special:UserRights MWException from line 418 of /srv/mediawiki/php-master/includes/changes/RecentChange.php: getEngine: Invalid stream logger URI: 'udp://:9390/#commons.wikimedia.beta.wmflabs '

Backtrace:

#0 /srv/mediawiki/php-master/includes/changes/RecentChange.php(383): RecentChange::getEngine(string)
#1 /srv/mediawiki/php-master/includes/logging/LogEntry.php(690): RecentChange->notifyRCFeeds()
#2 /srv/mediawiki/php-master/includes/specials/SpecialUserrights.php(327): ManualLogEntry->publish(integer)
#3 /srv/mediawiki/php-master/includes/specials/SpecialUserrights.php(304): UserrightsPage->addLogEntry(User, array, array, string)
#4 /srv/mediawiki/php-master/includes/specials/SpecialUserrights.php(240): UserrightsPage->doSaveUserGroups(User, array, array, string)
#5 /srv/mediawiki/php-master/includes/specials/SpecialUserrights.php(196): UserrightsPage->saveUserGroups(string, string, User)
#6 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(407): UserrightsPage->execute(NULL)
#7 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(565): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-master/includes/MediaWiki.php(282): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-master/includes/MediaWiki.php(738): MediaWiki->performRequest()
#10 /srv/mediawiki/php-master/includes/MediaWiki.php(519): MediaWiki->main()
#11 /srv/mediawiki/php-master/index.php(43): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Details

Related Gerrit Patches:
operations/mediawiki-config : masterbeta: $wmgUseRC2UDP = false

Event Timeline

JeanFred created this task.Feb 24 2016, 7:24 PM
Restricted Application added subscribers: StudiesWorld, Steinsplitter, Aklapper. · View Herald TranscriptFeb 24 2016, 7:24 PM

Mentioned in SAL [2016-02-25T10:08:19Z] <hashar> Jenkins upgraded T128006

I have screwed up my !log ...

So that message is a notifier for recent changes which are sent over UDP to some service which, in production, relay to irc.wikimedia.org

There is no such system on beta cluster and the host $wmgRC2UDPAddress should not be set or at least the RC notification not be enabled (by checking $wmgUseRC2UDP which should be fast for beta).

From InitialiseSettings.php:

'wmgUseRC2UDP' => array(
    'default' => true,
    'private' => false,
);
'wmgRC2UDPAddress' => array(
    'default' => $wmfLocalServices['irc'],
);

And on beta:

mwscript eval.php --wiki=hashar@deployment-tin:~$ mwscript eval.php --wiki=enwiki
> var_dump( $wmgUseRC2UDP );
bool(true)

>

(should be false).

For beta we have in InitialiseSettings-labs.php:

'-wmgRC2UDPPrefix' => array(
    'default' => false,
),

References:

Change 273211 had a related patch set uploaded (by Hashar):
beta: $wmgUseRC2UDP = false

https://gerrit.wikimedia.org/r/273211

Change 273211 merged by jenkins-bot:
beta: $wmgUseRC2UDP = false

https://gerrit.wikimedia.org/r/273211

Should be good now. Need confirmation though.

hashar removed a project: Patch-For-Review.
hashar@deployment-tin:~$ mwscript eval.php --wiki=enwiki
> var_dump( $wmgUseRC2UDP );
bool(false)

>

Should be good now. Need confirmation though.

Confirmed. Thanks!

JeanFred closed this task as Resolved.Feb 25 2016, 1:31 PM